package com.example.aped.ui.favorite_IOs;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import com.example.aped.MainActivity;
import com.example.aped.R;
import com.example.aped.ui.visualization.MainListViewAdapter;

public class FavoriteIOsFragment extends Fragment {
    /** Include the MainActivity.*/
    private MainActivity mainActivity;
    /**
     *Compiling the data and calling up the FavoriteIOs view.
     * @param inflater
     * @param container
     * @param savedInstanceState
     * @return root
     */
    public View onCreateView(final @NonNull LayoutInflater inflater,
                             final ViewGroup container,
                             final Bundle savedInstanceState) {
        this.mainActivity = (MainActivity) getActivity();
        View view = inflater.inflate(R.layout.fragment_all_ios, container,
                false);
        ListView lv = view.findViewById(R.id.idListView);
        MainListViewAdapter mainListViewAdapter =
                new MainListViewAdapter(mainActivity, 1);
        lv.setAdapter(mainListViewAdapter);
        return view;
    }
}
